santuario-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "jason marshall" <jdmarsh...@gmail.com>
Subject Re: 1.4.2 beta2 release
Date Tue, 22 Apr 2008 08:12:03 GMT
I'm a little troubled by the fact that after all this time, the
download and install instructions still fail to mention the ten or so
libraries you have to go find on your own in order to get the ant
script to work.

Specifically:

The website doesn't mention them at all.  It says download the source
zip and run ant.  Um, no, that won't work, you'll just get a compile
error.

Alternatively, the INSTALL file still refers to XML-Sec 1.1, which
would be a little offputting.  It then goes on to describe which
libraries you'll need, but then doesn't mention what to call them.
Now I can read build.xml files just fine, but are you assuming that
understanding them is a prerequisite?

You fetch Bouncy Castle for people (which I don't think is entirely
legal, is it?), but you don't fetch the others?  Why the dichotomy?
Or to say it another way, why do you need to circumvent export on an
export controlled library, when you're not exporting any other
libraries?

Thanks,
Jason Marshall




On Mon, Apr 14, 2008 at 12:01 PM, Sean Mullan <Sean.Mullan@sun.com> wrote:
> Hi all,
>
>  I have uploaded a jar file for the 1.4.2 beta2 release. Please download
>  it and test it and report any bugs or problems. In about 2 weeks, we
>  will take a vote to see if we should have another beta release or if it
>  is ready for a release candidate.
>
>  http://people.apache.org/~mullan/dist/xmlsec-1.4.2beta2.jar
>
>  Thanks!
>  Sean
>



-- 
- Jason

Mime
View raw message